#### D.13.3.30 tDetropicalise

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  tDetropicalise(f); f poly or f list

Assume:
  if f is of type poly then f is a linear polynomial with an integer constant term and positive integer coefficients as further coefficients;
  if f is of type list then it is a list of polynomials of the type just described in before

Return:
  poly, the detropicalisation of f over the field Q(t)

Note:
  the output will be a term where the coeffiecient is a Laurent monomial in the variable t

Example:

    LIB "tropical.lib";
    ring r=(0,t),(x,y),dp;
    tDetropicalise(3x+4y-1);

User manual for Singular version 4-0-3, 2016, generated by texi2html.